- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
Shapes.h File Reference
`#include <vector>`
`#include <map>`
`#include "Coordinate.h"`
`#include "MSPUBConstants.h"`
`#include "ShapeType.h"`
`#include "VectorTransformation2D.h"`

Go to the source code of this file.

## Classes
struct | libmspub::Shape
struct | libmspub::FillableShape
struct | libmspub::GeometricShape

## Namespaces
| libmspub